<ion-header>
<ion-toolbar>
  <ion-buttons>
    <ion-back-button></ion-back-button>
  </ion-buttons>
  <title>Accueil</title>
</ion-toolbar>
</ion-header>

<ion-content padding class="background">

  <ion-fab vertical="bottom" horizontal="start" slot="fixed">
    <ion-fab-button *ngIf="!showForm" (click)="add()">
      <ion-icon name="add-circle-outline"></ion-icon>
    </ion-fab-button>
    <ion-fab-button *ngIf="showForm" (click)="add()">
      <ion-icon name="close-circle-outline"></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <h2>Vos commentaires ✍️</h2>

    <div *ngIf="showForm">
      <ion-item>
        <ion-label>Pseudo: </ion-label>
        <ion-input [(ngModel)]="firebaseData.name" type="text"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Description: </ion-label>
        <ion-input [(ngModel)]="firebaseData.description" type="text"></ion-input>
      </ion-item>
      <br>
      <div class="ion-padding">
      <ion-button (click)="addFirebase()">Envoyer le commentaire</ion-button>
    </div>
    </div>

    <div *ngFor="let comment of comments | async">
      <ion-card>
        <h5>{{comment.name}}</h5>
        <p>{{comment.description}}</p>
      </ion-card>
    </div>
</ion-content>
